require "codeclimate-test-reporter"
CodeClimate::TestReporter.start

require "active_record"

if ENV["RUBY_VERSION"].include?("jruby")
  ActiveRecord::Base.establish_connection(:adapter => "jdbcsqlite3", :database => ":memory:")
else
  ActiveRecord::Base.establish_connection(:adapter => "sqlite3", :database => ":memory:")
end

ActiveRecord::Schema.define do
  self.verbose = false

  create_table :test, :force => true do |t|
    t.string :foo
    t.string :bar
  end
end